**EXTENSION**

# `Array`

## Methods
### `widget()`

Get a widget from a collection of views.
- Returns: A widget.

### `update(_:)`

Update a collection of views with a collection of view storages.
- Parameters:
    - storage: The collection of view storages.

### `windows()`

Get the content of an array of window scene groups.
- Returns: The array of windows.

### `checkIndex(_:)`

Check if a given index is valid for the array.
- Parameter index: The index to test.
- Returns: Return whether the index is valid or not.
